Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class BracesForForLoopRule

- groovy.org.codenarc.rule.formatting.BracesForForLoopRule

- Checks the location of the opening brace ({) for for loops. By default, requires them on the same line, but the sameLine property can be set to false to override this.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`
    `boolean` | `sameLine`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

    - #### boolean sameLine